	local old_init = GuiTweakData.init
	
	function GuiTweakData:init()
		old_init(self, tweak_data)	
	local wts = {}
	local dlc_1_folder = "units/pd2_dlc1/weapons/wpn_effects_textures/"
	local butch_folder = "units/pd2_dlc_butcher_mods/weapons/wpn_effects_textures/"
	local iron_pack = "units/ironpack/wpn_effects_textures/"	
	wts.color_indexes = {
		{color = "red"},
		{
			color = "blue",
			dlc = "gage_pack_jobs"
		},
		{
			color = "blued",
			dlc = "gage_pack_jobs"
		},
		{
			color = "purple",
			dlc = "gage_pack_jobs"
		},
		{
			color = "pink",
			dlc = "gage_pack_jobs"
		},		
		{
			color = "green",
			dlc = "gage_pack_jobs"
		},
		{
			color = "orange",
			dlc = "gage_pack_jobs"
		},		
		{
			color = "yellow",
			dlc = "gage_pack_jobs"
		},
		{
			color = "white",
			dlc = "gage_pack_jobs"
		}		
	}
	wts.types = {}
	wts.types.sight = {
		suffix = "_il",
		{
			name_id = "menu_reticle_1_s",
			texture_path = dlc_1_folder .. "wpn_sight_reticle_s_1_il"
		},
		{
			name_id = "menu_reticle_1_m",
			texture_path = dlc_1_folder .. "wpn_sight_reticle_m_1_il"
		},
		{
			name_id = "menu_reticle_1_l",
			texture_path = dlc_1_folder .. "wpn_sight_reticle_l_1_il"
		},
		{
			name_id = "menu_reticle_2",
			texture_path = dlc_1_folder .. "wpn_sight_reticle_2_il"
		},
		{
			name_id = "menu_reticle_3",
			texture_path = dlc_1_folder .. "wpn_sight_reticle_3_il"
		},
		{
			name_id = "menu_reticle_4",
			texture_path = dlc_1_folder .. "wpn_sight_reticle_4_il"
		},
		{
			name_id = "menu_reticle_5",
			dlc = "gage_pack_jobs",
			texture_path = dlc_1_folder .. "wpn_sight_reticle_5_il"
		},
		{
			name_id = "menu_reticle_6",
			dlc = "gage_pack_jobs",
			texture_path = dlc_1_folder .. "wpn_sight_reticle_6_il"
		},
		{
			name_id = "menu_reticle_7",
			dlc = "gage_pack_jobs",
			texture_path = dlc_1_folder .. "wpn_sight_reticle_7_il"
		},
		{
			name_id = "menu_reticle_8",
			dlc = "gage_pack_jobs",
			texture_path = dlc_1_folder .. "wpn_sight_reticle_8_il"
		},
		{
			name_id = "menu_reticle_9",
			dlc = "gage_pack_jobs",
			texture_path = dlc_1_folder .. "wpn_sight_reticle_9_il"
		},
		{
			name_id = "menu_reticle_10",
			dlc = "gage_pack_jobs",
			texture_path = dlc_1_folder .. "wpn_sight_reticle_10_il"
		},
		{
			name_id = "menu_reticle_11",
			texture_path = butch_folder .. "wpn_sight_reticle_11_il"
		},
		{
			name_id = "menu_reticle_12",
			texture_path = butch_folder .. "wpn_sight_reticle_12_il"
		},
		{
			name_id = "menu_reticle_13",
			texture_path = butch_folder .. "wpn_sight_reticle_13_il"
		},
		{
			name_id = "menu_reticle_14",
			texture_path = butch_folder .. "wpn_sight_reticle_14_il"
		},
		{
			name_id = "menu_reticle_15",
			texture_path = butch_folder .. "wpn_sight_reticle_15_il"
		},
		{
			name_id = "menu_reticle_16",
			texture_path = butch_folder .. "wpn_sight_reticle_16_il"
		},
		{
			name_id = "menu_reticle_17",
			texture_path = butch_folder .. "wpn_sight_reticle_17_il"
		},
		{
			name_id = "menu_reticle_18",
			texture_path = butch_folder .. "wpn_sight_reticle_18_il"
		},
		{
			name_id = "menu_reticle_19",
			texture_path = butch_folder .. "wpn_sight_reticle_19_il"
		},
		{
			name_id = "menu_reticle_20",
			texture_path = butch_folder .. "wpn_sight_reticle_20_il"
		},
		{
			name_id = "menu_reticle_21",
			texture_path = butch_folder .. "wpn_sight_reticle_21_il"
		},
		{
			name_id = "menu_reticle_22",
			texture_path = butch_folder .. "wpn_sight_reticle_22_il"
		},
		{
			name_id = "menu_reticle_23",
			texture_path = butch_folder .. "wpn_sight_reticle_23_il"
		},
		{
			texture_path = iron_pack .. "wpn_sight_reticle_24_il",
			name_id = "menu_reticle_24"
		},
		{
			texture_path = iron_pack .. "wpn_sight_reticle_25_il",
			name_id = "menu_reticle_25"
		},
		{
			texture_path = iron_pack .. "wpn_sight_reticle_26_il",
			name_id = "menu_reticle_26"
		},
		{
			texture_path = iron_pack .. "wpn_sight_reticle_27_il",
			name_id = "menu_reticle_27"
		},
		{
			texture_path = iron_pack .. "wpn_sight_reticle_28_il",
			name_id = "menu_reticle_28"
		},
		{
			texture_path = iron_pack .. "wpn_sight_reticle_29_il",
			name_id = "menu_reticle_29"
		},
		{
			texture_path = iron_pack .. "wpn_sight_reticle_30_il",
			name_id = "menu_reticle_30"
		},
		{
			texture_path = iron_pack .. "wpn_sight_reticle_31_il",
			name_id = "menu_reticle_31"
		},
		{
			texture_path = iron_pack .. "wpn_sight_reticle_32_il",
			name_id = "menu_reticle_32"
		},
		{
			texture_path = iron_pack .. "wpn_sight_reticle_33_il",
			name_id = "menu_reticle_33"
		},
		{
			texture_path = iron_pack .. "wpn_sight_reticle_34_il",
			name_id = "menu_reticle_34"
		},
		{
			texture_path = iron_pack .. "wpn_sight_reticle_35_il",
			name_id = "menu_reticle_35"
		},
		{
			texture_path = iron_pack .. "wpn_sight_reticle_36_il",
			name_id = "menu_reticle_36"
		},
		{
			texture_path = iron_pack .. "wpn_sight_reticle_37_il",
			name_id = "menu_reticle_37"
		},
				{
			texture_path = iron_pack .. "wpn_sight_reticle_38_il",
			name_id = "menu_reticle_38"
		},
				{
			texture_path = iron_pack .. "wpn_sight_reticle_39_il",
			name_id = "menu_reticle_39"
		},
		{
			texture_path = iron_pack .. "wpn_sight_reticle_40_il",
			name_id = "menu_reticle_40"
		},
		{
			texture_path = iron_pack .. "wpn_sight_reticle_41_il",
			name_id = "menu_reticle_41"
		},
		{
			texture_path = iron_pack .. "wpn_sight_reticle_42_il",
			name_id = "menu_reticle_42"
		},
		{
			texture_path = iron_pack .. "wpn_sight_reticle_43_il",
			name_id = "menu_reticle_43"
		},
		{
			texture_path = iron_pack .. "wpn_sight_reticle_44_il",
			name_id = "menu_reticle_44"
			},
		{
			texture_path = iron_pack .. "wpn_sight_reticle_45_il",
			name_id = "menu_reticle_45"
			},
		{
			texture_path = iron_pack .. "wpn_sight_reticle_46_il",
			name_id = "menu_reticle_46"
			},
		{
			texture_path = iron_pack .. "wpn_sight_reticle_47_il",
			name_id = "menu_reticle_47"
			},
		{
			texture_path = iron_pack .. "wpn_sight_reticle_48_il",
			name_id = "menu_reticle_48"
			}			
		}
	self.weapon_texture_switches = wts
	wts.types.gadget = wts.types.sight
	self.weapon_texture_switches = wts
	self.default_part_texture_switch = "1 3"
	self.part_texture_switches = {
		wpn_fps_upg_o_45rds_v2 = "1 3",
		wpn_fps_upg_o_45rds = "1 3"
	}	
end